MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000032SoldatGameplaypublic2011-09-17 17:432013-12-13 21:27
ReporterDorkeyDear 
Assigned ToShoozza 
PrioritylowSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformMicrosoft WindowsOSWindowsOS VersionWindows 7
Product Version1.6.0 
Target VersionFixed in Version1.6.1 
Summary0000032: Camera location moves when no playing players when joining spectator team
DescriptionWhen a player joins the spectator team, and there are no players in-game that can be followed, the camera goes out into a specific location, that is usually undesired; usually somewhere above the playable area.

The camera does not say "Following ..." nor does it say "Free Camera", but does not behave as a freecam.
Steps To Reproduce1) Join a game (singleplayer or multiplayer)
3) Join spectator (not necessarily right after joining) If there are players actually in a playable team, then your camera will move.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0001184)
Shoozza (administrator)
2011-09-29 23:43

What should happen instead?
(0001185)
DorkeyDear (reporter)
2011-09-30 00:59

Preferentially, the camera should be at a location that is somewhere of interest. Some possibilities could be (but definitely not limited to):
-a random player spawn point (some custom maps have a spawn point on, say, delta team where a filler bot is used for uninteresting actions, like having a Dummy bot be used for calling OnPlayerDamage nearly every tick in scripting)
-the average location of all/some player spawn points (although not guaranteed to be somewhere interesting)
-the center of the map (again, not guaranteed to be somewhere interesting)
-any sort of spawn point, including bonus spawns (could be somewhere less likely to be interesting, but quite possibly interesting)
-random bot path (not all maps have this, but the path is probably gonna be somewhere interesting).

In this context, 'interesting' could mean some sort of battle or player action may take place there.

I just came up with these few ideas in a matter of a few minutes; there very well may be a better alternative. If anybody else has any ideas, feel free to contribute.
(0001186)
Shoozza (administrator)
2011-09-30 01:21

How about the position where the camera was before you joined spectator?
I think thats the simplest to implement and best choice ;)
(0001187)
DorkeyDear (reporter)
2011-09-30 01:30

Agreed; that is the best choice.
(0002078)
Bistoufly (updater)
2013-12-13 21:27

verified 1.6.6

- Issue History
Date Modified Username Field Change
2011-09-17 17:43 DorkeyDear New Issue
2011-09-29 23:43 Shoozza Note Added: 0001184
2011-09-29 23:43 Shoozza Assigned To => Shoozza
2011-09-29 23:43 Shoozza Status new => feedback
2011-09-30 00:59 DorkeyDear Note Added: 0001185
2011-09-30 00:59 DorkeyDear Status feedback => assigned
2011-09-30 01:21 Shoozza Note Added: 0001186
2011-09-30 01:21 Shoozza Status assigned => feedback
2011-09-30 01:30 DorkeyDear Note Added: 0001187
2011-09-30 01:30 DorkeyDear Status feedback => assigned
2011-09-30 01:47 Shoozza Status assigned => resolved
2011-09-30 01:47 Shoozza Fixed in Version => 1.6.1
2011-09-30 01:47 Shoozza Resolution open => fixed
2013-12-13 21:27 Bistoufly Note Added: 0002078
2013-12-13 21:27 Bistoufly Status resolved => closed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker